/*
 * Copyright (C) 2012-2017 Masanori Uozumi.
 */
package org.hibara.attachecase.entity;

import java.util.Arrays;

/**
 * バッファ用エンティティクラス
 * 
 * @author Masanori Uozumi
 * @version 2012.07.30
 */
public class Buffers {
	private int length; // sourceBufferに格納されているデータ長
	private byte[] sourceBuffer;
	private byte[] chainBuffer;

	private long totalSize;
	private long allTotalSize;

	/**
	 * 
	 * @param sourceBuffer
	 *            読み込み用バッファ
	 * @param chainBuffer
	 *            chain用バッファ
	 * @param totalSize
	 *            これまでに読み込んだバイト数
	 * @param allTotalSize
	 *            総バイト数
	 */
	public Buffers(byte[] sourceBuffer, byte[] chainBuffer, long totalSize, long allTotalSize) {
		super();
		this.sourceBuffer = sourceBuffer;
		this.chainBuffer = chainBuffer;
		this.totalSize = totalSize;
		this.allTotalSize = allTotalSize;
	}

	public int getLength() {
		return length;
	}

	public void setLength(int length) {
		this.length = length;
	}

	public byte[] getSourceBuffer() {
		return sourceBuffer;
	}

	public void setSourceBuffer(byte[] sourceBuffer) {
		this.sourceBuffer = sourceBuffer;
	}

	public byte[] getChainBuffer() {
		return chainBuffer;
	}

	public void setChainBuffer(byte[] chainBuffer) {
		this.chainBuffer = chainBuffer;
	}

	public long getTotalSize() {
		return totalSize;
	}

	public void setTotalSize(long totalSize) {
		this.totalSize = totalSize;
	}

	public long getAllTotalSize() {
		return allTotalSize;
	}

	public void setAllTotalSize(long allTotalSize) {
		this.allTotalSize = allTotalSize;
	}

	/**
	 * sourceBufferの初期化
	 */
	public void clearSourceBuffer() {
		Arrays.fill(sourceBuffer, (byte) 0);
	}
}
