package org.hibara.attachecase.entity;

import java.util.List;
import java.util.regex.Pattern;
import java.util.regex.Matcher;

/**
 * 暗号化されたファイルの情報を管理（アタッシェケース#3用）。
 * 
 * @author Masanori Uozumi
 * @version 2017.01.18<br>
 */
public class FileInformation3 extends FileInformation {

	/**
	 * コンストラクタ
	 * 
	 * @param list
	 *            ATCファイルのファイル情報（文字列）
	 */	
	public FileInformation3(List<String> list) {
		super();

		header = (list.size() > 0) ? list.get(0) : "";

		// 要素数が2以下の場合はそのまま抜ける
		if (list.size() < 2) {
			return;
		}

		Pattern p = Pattern.compile("^([0-9]+):");
		for (int i = 1; i < list.size(); i++) {
			Matcher m = p.matcher(list.get(i));
			if (m.find()) {
				FileAttribute3 attr = new  FileAttribute3(list.get(i));
				this.files.add(attr);
			}
		}
	}

}
