/*
 * Copyright (C) 2012-2017 Masanori Uozumi.
 */
package org.hibara.attachecase.entity;

import java.io.ByteArrayOutputStream;
import java.io.Serializable;

/**
 * SHA-1ハッシュを格納するためのエンティティクラスです。
 * @author Masanori Uozumi
 * @version 2012.07.27
 */

public class ShaEntity implements Serializable{

	private static final long serialVersionUID = -4329326185874854313L;

	private byte[] hashArray;
	private byte[] headerArray;

	private String hashString = null;
	private String headerString = null;

	public byte[] getHashArray() {
		return hashArray;
	}

	public void setHashArray(byte[] hashArray) {
		this.hashArray = hashArray.clone();
	}

	public String getHashString() {
		return hashString;
	}

	/*
	public void setHashString(String hashString) {
		this.hashString = hashString;
	}
	*/

	public void setHashString(byte[] array) {
		hashString = "";
		ByteArrayOutputStream os = new ByteArrayOutputStream();
		for (int i = 0; i < array.length; i++) {
			if (array[i] == 0) {
				break;
			}
			os.write(array[i]);
		}
		byte[] buffer = os.toByteArray();
		try {
			hashString = new String(buffer, "UTF-8");
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	public String getHeaderString() {
		return headerString;
	}

	public void setHeaderString(String headerString) {
		this.headerString = headerString;
	}

	public byte[] getHeaderArray() {
		return headerArray;
	}

	public void setHeaderArray(byte[] headerArray) {
		this.headerArray = headerArray.clone();
	}

}
