/*
 * Copyright (C) 2012-2017 Masanori Uozumi.
 */
package org.hibara.attachecase.exception;

import java.util.ResourceBundle;

import org.hibara.attachecase.AttacheCaseConstant;

/**
 * アタッシェケースの動作中に何か不具合が発生したことを通知するシグナルを発生させます。
 * 
 * @author Masanori Uozumi
 * @version 2012.07.26
 */
public class AttachecaseException extends Exception implements AttacheCaseConstant {
	private static final long serialVersionUID = -6861033753548842576L;

	protected static ResourceBundle resources = ResourceBundle.getBundle(RESOURCE);
	protected String bundle = "MSG_ERROR";

	/**
	 * エラーメッセージを取得します。
	 * 
	 * @return エラーメッセージ
	 */
	public String getErrorMessage() {
		return resources.getString(bundle);
	}

	/**
	 * 表示するエラーメッセージを特定するためのリソースバンドルを取得します。
	 * 
	 * @return 設定されているリソースバンドル
	 */
	public String getBundle() {
		return bundle;
	}

	/**
	 * 表示するエラーメッセージを特定するためのリソースバンドルを設定します。
	 * 
	 * @param bundle
	 *            設定するリソースバンドル
	 */
	public void setBundle(String bundle) {
		this.bundle = bundle;
	}
}
