/*
 * Copyright (C) 2012-2017 Masanori Uozumi.
 */
package org.hibara.attachecase.io;

import java.io.File;

import javax.swing.filechooser.FileFilter;

/**
 * ATCファイル用のFilenameFilterクラスです。<br>
 * 拡張子が".atc"になっているフィルタが対象です。拡張子の大文字，小文字は問いません。
 * 
 * @author Masanori Uozumi
 * @version 2012.08.19<br>
 */

public class AtcFileFilter extends FileFilter {

	private final String ATC_EXTENSION = ".atc";

	@Override
	public boolean accept(File f) {
		if (f.isDirectory()) {
			return true;
		}
		return f.getName().toLowerCase().endsWith(ATC_EXTENSION);
	}

	@Override
	public String getDescription() {
		return "atc File(*.atc)";
	}

}
